petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoSetInitialTrustRegionRadius

Sets the initial trust region radius.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInitialTrustRegionRadius(Tao tao, PetscReal radius)

Logically collective on Tao

### Input Parameter

| tao | - a TAO optimization solver
| radius | - the trust region radius

### Options Database Key

-tao_trust0 <t0> -sets initial trust region radius

### See Also

TaoGetTrustRegionRadius(), TaoSetTrustRegionTolerance()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages